Package io.flutter.embedding.engine.systemchannels

## Enum PlatformChannel.SystemUiMode

- java.lang.Object
- - java.lang.Enum<PlatformChannel.SystemUiMode>
  - - io.flutter.embedding.engine.systemchannels.PlatformChannel.SystemUiMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<PlatformChannel.SystemUiMode>`
  Enclosing class:
    PlatformChannel

      public static enum PlatformChannel.SystemUiMode
      extends Enum<PlatformChannel.SystemUiMode>

  The set of Android system fullscreen modes as perceived by the Flutter application.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EDGE_TO_EDGE` |
    `IMMERSIVE` |
    `IMMERSIVE_STICKY` |
    `LEAN_BACK` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PlatformChannel.SystemUiMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PlatformChannel.SystemUiMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEAN_BACK

          public static final PlatformChannel.SystemUiMode LEAN_BACK

    - #### IMMERSIVE

          public static final PlatformChannel.SystemUiMode IMMERSIVE

    - #### IMMERSIVE_STICKY

          public static final PlatformChannel.SystemUiMode IMMERSIVE_STICKY

    - #### EDGE_TO_EDGE

          public static final PlatformChannel.SystemUiMode EDGE_TO_EDGE

  - ### Method Detail

    - #### values

          public static PlatformChannel.SystemUiMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlatformChannel.SystemUiMode c : PlatformChannel.SystemUiMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlatformChannel.SystemUiMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null